SND_DMA_ALLOC_PAGES(9)

NAME
snd_dma_alloc_pages - allocate the buffer area according to the given type

SYNOPSIS

int snd_dma_alloc_pages (int type, struct device * device, size_t size, struct snd_dma_buffer * dmab);

ARGUMENTS

type
    the DMA buffer type

device
    the device pointer

size
    the buffer size to allocate

dmab
    buffer allocation record to store the allocated data

DESCRIPTION

Calls the memory-allocator function for the corresponding buffer type.

Returns zero if the buffer with the given size is allocated successfuly, other a negative value at error.